var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/createImagePreview/index.tsx
var createImagePreview_exports = {};
__export(createImagePreview_exports, {
  default: () => createImagePreview
});
module.exports = __toCommonJS(createImagePreview_exports);
var import_react = __toESM(require("react"));
var import_client = require("react-dom/client");
var import_antd = require("antd");
function App({ images = [], current = 0, onClose }) {
  var _a;
  const [visible, setVisible] = (0, import_react.useState)(false);
  (0, import_react.useEffect)(() => {
    setVisible(true);
  }, []);
  return /* @__PURE__ */ import_react.default.createElement("div", {
    style: { display: "none" }
  }, /* @__PURE__ */ import_react.default.createElement(import_antd.Image.PreviewGroup, {
    preview: {
      visible,
      onVisibleChange: (vis) => {
        setVisible(vis);
        if (!vis) {
          onClose == null ? void 0 : onClose();
        }
      },
      current
    }
  }, (_a = images == null ? void 0 : images.filter(Boolean)) == null ? void 0 : _a.map((img) => /* @__PURE__ */ import_react.default.createElement(import_antd.Image, {
    key: img,
    src: img
  }))));
}
function createImagePreview({ onClose, ...rest }) {
  setTimeout(() => {
    const div = document.createElement("div");
    div.setAttribute("role", "Dynamically created preview");
    document.body.appendChild(div);
    const root = (0, import_client.createRoot)(div);
    function destory() {
      setTimeout(() => {
        root.unmount();
        document.body.removeChild(div);
      });
    }
    root.render(/* @__PURE__ */ import_react.default.createElement(App, {
      ...rest,
      onClose: () => {
        setTimeout(() => {
          destory();
        }, 200);
        onClose == null ? void 0 : onClose();
      }
    }));
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
