import _objectSpread from "@babel/runtime-corejs3/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime-corejs3/helpers/objectWithoutProperties";
import _slicedToArray from "@babel/runtime-corejs3/helpers/slicedToArray";
var _excluded = ["onClose"];
import React, { useEffect, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Image } from 'antd';
import { jsx as _jsx } from "react/jsx-runtime";

function App(_ref) {
  var _images$filter;

  var _ref$images = _ref.images,
      images = _ref$images === void 0 ? [] : _ref$images,
      _ref$current = _ref.current,
      current = _ref$current === void 0 ? 0 : _ref$current,
      onClose = _ref.onClose;

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      visible = _useState2[0],
      setVisible = _useState2[1];

  useEffect(function () {
    setVisible(true);
  }, []);
  return /*#__PURE__*/_jsx("div", {
    style: {
      display: 'none'
    },
    children: /*#__PURE__*/_jsx(Image.PreviewGroup, {
      preview: {
        visible: visible,
        onVisibleChange: function onVisibleChange(vis) {
          setVisible(vis);

          if (!vis) {
            onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        },
        current: current
      },
      children: images === null || images === void 0 ? void 0 : (_images$filter = images.filter(Boolean)) === null || _images$filter === void 0 ? void 0 : _images$filter.map(function (img) {
        return /*#__PURE__*/_jsx(Image, {
          src: img
        }, img);
      })
    })
  });
}

export default function createImagePreview(_ref2) {
  var _onClose = _ref2.onClose,
      rest = _objectWithoutProperties(_ref2, _excluded);

  setTimeout(function () {
    var div = document.createElement('div');
    div.setAttribute('role', 'Dynamically created preview');
    document.body.appendChild(div);
    var root = createRoot(div);

    function destory() {
      setTimeout(function () {
        root.unmount();
        document.body.removeChild(div); // console.log('destoryed preview');
      });
    }

    root.render( /*#__PURE__*/_jsx(App, _objectSpread(_objectSpread({}, rest), {}, {
      onClose: function onClose() {
        setTimeout(function () {
          destory();
        }, 200);
        _onClose === null || _onClose === void 0 ? void 0 : _onClose();
      }
    })));
  });
}