import _asyncToGenerator from "@babel/runtime-corejs3/helpers/asyncToGenerator";
import _slicedToArray from "@babel/runtime-corejs3/helpers/slicedToArray";
import _regeneratorRuntime from "@babel/runtime-corejs3/regenerator";
import { Table } from 'antd';
import React, { forwardRef, useState, useImperativeHandle } from 'react';
var UserSelect = /*#__PURE__*/forwardRef(function (_props, ref) {
  var _useState = useState([]),
      _useState2 = _slicedToArray(_useState, 2),
      selected = _useState2[0],
      setSelected = _useState2[1];

  useImperativeHandle(ref, function () {
    return {
      validateFields: function validateFields() {
        return _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
          return _regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  if (!(selected.length === 0)) {
                    _context.next = 4;
                    break;
                  }

                  throw new Error('One at least');

                case 4:
                  if (!(selected.length > 2)) {
                    _context.next = 6;
                    break;
                  }

                  throw new Error('Two at most');

                case 6:
                  return _context.abrupt("return", selected);

                case 7:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee);
        }))();
      }
    };
  });
  return /*#__PURE__*/React.createElement(Table, {
    columns: [{
      title: 'Name',
      dataIndex: 'name',
      render: function render(text) {
        return /*#__PURE__*/React.createElement("a", null, text);
      }
    }, {
      title: 'Age',
      dataIndex: 'age'
    }],
    dataSource: [{
      id: '1',
      name: 'John Brown',
      age: 32
    }, {
      id: '2',
      name: 'Jim Green',
      age: 42
    }, {
      id: '3',
      name: 'Joe Black',
      age: 32
    }],
    pagination: false,
    rowKey: "id",
    rowSelection: {
      type: 'checkbox',
      selectedRowKeys: selected.map(function (user) {
        return user.id;
      }),
      onChange: function onChange(keys, rows) {
        setSelected(rows);
      }
    }
  });
});
export default UserSelect;