import _asyncToGenerator from "@babel/runtime-corejs3/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime-corejs3/regenerator";
import React from 'react';
import { Button, Form, Input, message } from 'antd';
import { createModal } from "../..";
import { someService } from "./services";

var Demo = function Demo() {
  return /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      createModal({
        title: 'Login',
        maskClosable: false,
        // Same as render: formLikeRef => <Form ref={formLikeRef}>...</Form>
        children: /*#__PURE__*/React.createElement(Form, {
          name: "login",
          labelCol: {
            span: 6
          },
          wrapperCol: {
            span: 12
          },
          initialValues: {
            username: 'create-antd-modal'
          },
          autoComplete: "off"
        }, /*#__PURE__*/React.createElement(Form.Item, {
          label: "Username",
          name: "username",
          rules: [{
            required: true,
            message: 'Please input your username!'
          }]
        }, /*#__PURE__*/React.createElement(Input, null)), /*#__PURE__*/React.createElement(Form.Item, {
          label: "Password",
          name: "password",
          rules: [{
            required: true,
            message: 'Please input your password!'
          }]
        }, /*#__PURE__*/React.createElement(Input.Password, null))),
        onOk: function onOk(values) {
          return _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
            return _regeneratorRuntime.wrap(function _callee$(_context) {
              while (1) {
                switch (_context.prev = _context.next) {
                  case 0:
                    console.log("Logging in with:", values);
                    _context.next = 3;
                    return someService(values);

                  case 3:
                    message.success('Login successful');

                  case 4:
                  case "end":
                    return _context.stop();
                }
              }
            }, _callee);
          }))();
        }
      });
    }
  }, "Login");
};

export default Demo;