import _asyncToGenerator from "@babel/runtime-corejs3/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime-corejs3/regenerator";
import React from 'react';
import { Button, message } from 'antd';
import { createModal } from "../..";
import UserSelect from "./UserSelect";
import { someService } from "./services";

var Demo = function Demo() {
  return /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      createModal({
        title: 'Select Users',
        maskClosable: false,

        /* Same as children: <UserSelect /> */
        render: function render(formLikeRef) {
          return /*#__PURE__*/React.createElement(UserSelect, {
            ref: formLikeRef
          });
        },
        onOk: function onOk(values) {
          return _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
            return _regeneratorRuntime.wrap(function _callee$(_context) {
              while (1) {
                switch (_context.prev = _context.next) {
                  case 0:
                    console.log("Selected Users:", values);

                    if (!values) {
                      _context.next = 5;
                      break;
                    }

                    _context.next = 4;
                    return someService(values);

                  case 4:
                    message.success('Submit successful');

                  case 5:
                  case "end":
                    return _context.stop();
                }
              }
            }, _callee);
          }))();
        },
        onFailed: function onFailed(error) {
          if (error instanceof Error) {
            message.error(error.message);
          }
        }
      });
    }
  }, "Select Users");
};

export default Demo;